const rfr = require('rfr')
const logger = require('@pubsweet/logger')

const FileModel = rfr('server/xpub-model/entities/file/data-access')

module.exports.createFiles = async function createFiles(filesArr) {
  for (let i = 0; i < filesArr.length; i += 1) {
    /* eslint-disable no-await-in-loop */
    const filedb = await new FileModel(filesArr[i]).save({
      insertMissing: true,
    })
    logger.info(filedb)
  }
}
